from fastapi import APIRouter, status
from schemas.fruit import FruitCreate, FruitSchema
from helpers.fruit_helpers import create_fruit
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.post("/create-fruit", status_code=status.HTTP_201_CREATED, response_model=FruitSchema)
async def create_new_fruit(
    fruit_data: FruitCreate,
    db: Session = Depends(get_db)
):
    new_fruit = create_fruit(db=db, fruit_data=fruit_data)
    return new_fruit