from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
import uuid

class FruitBase(BaseModel):
    name: str = Field(..., description="Name of the fruit")

class FruitCreate(FruitBase):
    pass

class FruitUpdate(FruitBase):
    name: Optional[str] = Field(None, description="Name of the fruit")

class FruitSchema(FruitBase):
    id: uuid.UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True